VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Classes | Static Public Member Functions | List of all members
Base64Codec Class Reference

`#include <base64codec.h>`

## Classes
struct | Result

## Static Public Member Functions
template<typename T>
static Result | decode (const T &base64String)
template<typename T>
static Result | decode (const T *inBuffer, size_t inBufferSize)
static Result | encode (const void *binaryData, size_t binaryDataSize)

## Member Function Documentation

## ◆ decode() [1/2]

template<typename T>

static Result decode | ( | const T & | base64String | ) |
| inline static

## ◆ decode() [2/2]

template<typename T>

static Result decode | ( | const T * | inBuffer,
|  | size_t | inBufferSize )
| inline static

## ◆ encode()

static Result encode | ( | const void * | binaryData,
|  | size_t | binaryDataSize )
| inline static

The documentation for this class was generated from the following file:

- base64codec.h